import { __extends, __rest, __assign } from './../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import getOr from './../external/lodash/fp/getOr.js';
import { parseMetadata, suffixMetadata } from '@highlight-ui/utils-commons';
import styles from './Tab.module.scss.js';
var getDisplayName = getOr(undefined, 'type.render.displayName');

var Tab = function (_super) {
  __extends(Tab, _super);

  function Tab() {
    return _super !== null && _super.apply(this, arguments) || this;
  }

  Tab.prototype.render = function () {
    var _a;

    var _b = this.props,
        disabled = _b.disabled,
        value = _b.value,
        placement = _b.placement,
        className = _b.className,
        onChange = _b.onChange,
        children = _b.children,
        metadata = _b.metadata,
        remainingProps = __rest(_b, ["disabled", "value", "placement", "className", "onChange", "children", "metadata"]);

    var containerClassName = classnames(styles.tabContainer, (_a = {}, _a[styles.disabled] = disabled, _a[styles.alignLeft] = placement === 'left', _a[styles.alignCenter] = placement === 'center', _a[styles.alignRight] = placement === 'right', _a), className);
    return /*#__PURE__*/React.createElement("div", __assign({}, remainingProps, parseMetadata(metadata), {
      className: containerClassName
    }), React.Children.map(children, function (tab) {
      return getDisplayName(tab) === 'TabItem' ? /*#__PURE__*/React.cloneElement(tab, {
        selected: value === tab.props.name,
        onChange: disabled ? undefined : onChange,
        metadata: suffixMetadata(metadata, "item-" + tab.props.name)
      }) : null;
    }));
  }; // eslint-disable-next-line react/static-property-placement


  Tab.defaultProps = {
    disabled: false,
    value: '',
    onChange: null,
    className: '',
    placement: 'center'
  };
  return Tab;
}(React.Component);

export { Tab as default };
//# sourceMappingURL=Tab.js.map
