import { __rest, __assign } from './../../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import { parseMetadata } from '@highlight-ui/utils-commons';
import styles from './TabItem.module.scss.js';

function TabItemWithRef(_a, ref) {
  var _b, _c, _d;

  var children = _a.children,
      className = _a.className,
      _e = _a.disabled,
      disabled = _e === void 0 ? false : _e,
      _f = _a.focus,
      focus = _f === void 0 ? false : _f,
      onChange = _a.onChange,
      _g = _a.selected,
      selected = _g === void 0 ? false : _g,
      name = _a.name,
      metadata = _a.metadata,
      remainingProps = __rest(_a, ["children", "className", "disabled", "focus", "onChange", "selected", "name", "metadata"]);

  var containerClassName = classnames(styles.tabItemContainer, (_b = {}, _b[styles.selected] = selected, _b), (_c = {}, _c[styles.disabled] = disabled, _c), (_d = {}, _d[styles.focus] = focus, _d), className);

  var handleChange = function () {
    return onChange && onChange(name);
  };

  return /*#__PURE__*/React.createElement("a", __assign({
    href: "javascript:void(0)",
    onClick: disabled ? undefined : handleChange,
    onKeyDown: disabled ? undefined : handleChange,
    className: containerClassName,
    ref: ref
  }, parseMetadata(metadata), remainingProps), children);
}

TabItemWithRef.displayName = 'TabItem';
var TabItem = /*#__PURE__*/React.forwardRef(TabItemWithRef);
export { TabItem as default };
//# sourceMappingURL=TabItem.js.map
